

<div class="container">
  <div class="row">
    <div class="col-md-6 col-md-offset-6">
      <div class="login-panel panel panel-default">
        <div style="display: flex; align-items: center;" class="img-fluid">
          <img [src]="webcomImgUrl" alt="iotdb Webcom img" height="140" width="300">
        </div>
        <div class="panel-heading panel" style="display: flex; justify-content: space-between; align-items: baseline">
          <h1 class="panel-title">Sign up</h1><a routerLink='/login' class="badge badge-light">Log in</a>
        </div>
        <div class="panel-body panel">
          <form #sigupForm="ngForm" (submit)="signupOnSubmit()">
        
            <div class="form-group">
              <label for="mail">E-mail*</label>
              <input
                type="email"
                [(ngModel)]="tempUser.mail"
                name="mail"
                required
              >
            </div>
            
            <div class="form-group">
              <label for="password">Password*</label>
              <input
                type="password"
                [(ngModel)]="tempUser.password"
                name="password"
                required
              >
            </div>
            
            <div class="form-group">
              <label for="mail">Repeat password*</label>
              <input
                type="password"
                [(ngModel)]="repeatedPassword"
                name="rPassword"
                required
              >
            </div>
            <button [disabled]="tempUser.mail=='' || repeatedPassword =='' || tempUser.password != repeatedPassword" class="btn btn-success" type="submit">Create your account</button>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
